<link rel="import" href="../bower_components/polymer/polymer-element.html">

<link rel="import" href="../bower_components/paper-button/paper-button.html">

<link rel="import" href="../bower_components/paper-input/paper-input.html">
<link rel="import" href="../bower_components/paper-input/paper-textarea.html">
<link rel="import" href="../bower_components/paper-tabs/paper-tab.html">
<link rel="import" href="../bower_components/paper-tabs/paper-tabs.html">
<link rel="import" href="../bower_components/iron-pages/iron-pages.html">

<script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU&coordorder=longlat&csp=true" type="text/javascript"></script>

<dom-module id="food-about">
    
    <template>
    
    <style>
        
        .wrapper {
            padding: 24px;
            text-align: center;
        }   
        
        

        [name=map-container]
        {
            
            width: 100%;
            height: 480px;
            position: relative;
            overflow: hidden;
        }   
        
        #map
        {
            width: 100%; 
            height: 100%; 
            padding: 0; 
            margin: 0;
            z-index: -1;
        } 
        .about
        {
            font-size: 1.2em;
            text-align: left;
        }
        
        #msg
        {
            padding: 24px; 
            max-width: 460px;
            margin: 0 auto;
        }

        #agreement
        {
            padding: 24px; 
            max-width: 768px;
            margin: 0 auto;
        }

        :host paper-button
        {
            background: var(--google-blue-100);
            padding: 0.7em 1.76em;
        }
        
        h2 
        {
            font-size: 1.2em;
        }

        paper-tabs {
            --paper-tabs-selection-bar-color: #e98328;
        }

    </style>

        
    <div>
        <paper-tabs selected="{{page}}" attr-for-selected="name">
            <template is="dom-repeat" items="[[tabs]]">
                <paper-tab name=[[item.name]]><h2>[[_itemTitle(item,phone)]]</h2></paper-tab>
            </template>
        </paper-tabs> 
    </div>
    <iron-pages role="main" selected="[[page]]" attr-for-selected="name" selected-attribute="visible" fallback-selection="404" hidden$=[[!user.staff]]>
        <div name="welcome">
            <div class="wrapper about">
                    
                <div>Приветствую Вас на <b>zavtrak.online</b> первом сервисе по доставке еды с точностью до 10 минут</div>
                    
                <div>Создавая этот сервис, я хотел изменить привычный образ жизни.
                    
                    <ul>
                        <ol>Предложить людям вкусные полезные завтраки по доступной цене. </ol>
                        <ol>Избавить вас от необходимости просыпаться на 30 минут раньше, и позволить тратить это время на себя и близких.</ol>
                    </ul>
        
                    Мы принимаем заказы вечером <b>до [[deliveryTime]]</b> на сайте либо через мобильное приложение. 
                </div>
                
                <div>
                    Мы постарались сделать приложение и мобильную версию максимально удобными, чтобы Вы могли делать заказ максимально быстро и просто. 
                    <br>
                    Я ценю Ваше время и комфорт. 
                </div>
                <br>
                <div>                   
                    <br>
                    Доставка производится на следующий день с <b>7-00 до 13-00.</b>
                    <br>
                    <br>
                    Так же я хотел сделать наиболее персонализированный сервис.
                    <br>
                    В заказе Вы можете указывать любые свои пожелания. 
                    <br>
                    Можно изменить <b>размер порции</b>, попросить добавить <b>особый ингредиент</b> или приготовить <b>необычным</b> способом. 
                </div>
                
                <div>
                    Все пожелания мы постараемся учесть и приготовить именно так, как Вы хотите. 
                </div>
                <br>
                <div>
                        <!-- Доставка производится только в нашем районе – квадрате между улицами <b>Профсоюзная</b>, <b>Наметкина</b>, <b>Новочеремушкинская</b> и  <b>Гарибальди</b>.  -->
                        Зона доставки между улицами <b>Обручева</b>, <b>Нахимовским</b> и <b>ленинским проспектом</b>, <b>варшавское шоссе</b>
                        <br>
                        Поэтому мы можем доставлять горячие, свежеприготовленные завтраки строго ко времени и по приемлемым ценам. 
                </div>
                
            </div>
            <div name="map-container">
                <div id="map"></div>
            </div>            
        </div>
        <div name="contacts">
            <div id="contacts" class="wrapper">
                <h1 >Контактный центр</h1>
                <h2>Москва +7 926 657-38-22</h2>  
                <h1>Отдел поддержки клиентов</h1>
                <h2>Электронная почта: moscowno1@mail.ru</h2>
        
                <h2>Адрес: ул Профсоюзная дом 45</h2>
                <h2>ИНН 772765091062</h2>
                <h2>ИП Хребтов Никита Алексеевич</h2> 
            </div>
        </div>
        <div name="messageus">
            <div id="msg">
                <paper-input id="contact" placeholder="Емайл или телефон" label="Контакт"></paper-input> 
                    
                <paper-textarea id="message" placeholder="Сообщение" label="Напишите мне сообщение"></paper-textarea> 
                <paper-button on-tap="_sendMessage">Отправить</paper-button>
            </div>  
        </div>
        <div name="agreement">
            <div id="agreement">
                <p>Настоящее Пользовательское Соглашение регулирует отношения между ИП Хребтовым Никитой Алексеевичем ОГРНИП 317774600453811 (далее именуемый – Сервис), и пользователем сети Интернет (далее – Пользователь) по использованию услуг доставки готовых блюд, перечисленных на сайте zavtrak.online.</p>
                <p>Совершение одного из следующих действий означает присоединение Пользователя к настоящему Пользовательскому Соглашению:</p>
                <p>Нажатие кнопки «Зарегистрироваться» при регистрации на сайте zavtrak.online либо мобильном приложении zavtrak online,</p> 
                <p>Нажатие кнопки «Заказать» при оформлении заказа Пользователем без авторизации на сайте zavtrak.online либо мобильном приложении zavtrak online (далее по тексту настоящего Соглашения именуемые – Сайт).</p>
                <p>Настоящее Пользовательское Соглашение приравнивается к договору, составленному в письменной форме. Принимая настоящее Пользовательское Соглашение, Пользователь выражает полное и безоговорочное согласие со всеми его условиями.</p>
                
                <p>1. Предмет Пользовательского Соглашения</p>
                <p>1.1 Сервис предлагает Пользователю возможность быстрого  заказа готовой еды на условиях, предусмотренных настоящим Пользовательским Соглашением.</p>
                <p>1.2 Настоящее Соглашение может быть изменено Сервисом в одностороннем порядке без предварительного уведомления. Новая редакция Соглашения вступает в силу с момента ее опубликования на странице сайта  zavtrak.online/agreement/, если иное не предусмотрено новой редакцией Соглашения.</p>
                <p>1.3 Пользователь вправе отказаться от принятия изменений Соглашения, осуществленных Сервиса, путем отказа Пользователя от дальнейшего использования услуг Сервиса.</p>
                <p>2. Описание услуг</p>
                <p>2.1 Сервис является официальным дилером партнеров Сервиса и осуществляет розничную продажу готовой еды с доставкой по адресу, указанному Пользователем и во время, указанное пользователем. </p>
                <p>2.2 К отношениям между Пользователем и Сервисом применяются положения ГК РФ «О розничной купле-продаже» (§ 2 глава 30 ГК РФ), Закон РФ «О защите прав потребителей» от 07.02.1992 № 2300-I и иные нормативно-правовые акты, принятые в соответствии с ними.</p>
                <p>2.3 Пользователь оплачивает заказ одним из доступных способов:</p>
                <p>•	2.3.1 непосредственно при получении заказа от уполномоченного сотрудника Сервиса банковской картой </p>
                <p>•	2.3.2 on-line оплата на Сайте zavtrak.online банковской картой VISA/MasterCard. Все дополнительные расходы по перечислению денежных средств за заказ несёт Пользователь.</p>

                <p>Представленная к оплате сумма является полной стоимостью Заказа, в т.ч. доставки и иных сопутствующих услуг.</p>

                <p>Пользователь имеет возможность привязать банковскую карту к своему Личному кабинету. В дальнейшем сумма любого последующего Заказа Пользователя будет списываться автоматически с прикрепленной к Личному кабинету банковской карты без указания реквизитов, при подтверждении платежа с его стороны путем нажатия кнопки «Оплатить» в корзине Личного кабинета и ввода одноразового пароля, в случае, если банк-эмитент банковской карты клиента предусматривает использование данной защиты.</p>
                <p>2.4 В случае отказа Пользователя от Заказа, Пользователь обязан за 4 часа до момента наступления времени доставки/получения Заказа сообщить Сервису о своем отказе от Заказа. Возврат денежных средств в течение 2 (двух) рабочих дней с момента оплаты Заказа производится Сервисом.с момента поступления заявки и предоставления документов, подтверждающих оплату. Заявки можно отправить посредством формы обратной связи на сайте. В противном случае Заказ считается выполненным, денежные средства за него возврату не подлежат.</p>
                <p>Возврат денежных средств, оплаченных Пользователем через Сайт банковской картой, осуществляется только на ту карту, с которой была произведена оплата.</p>
                <p>2.5 Сервис вправе отказать Пользователю в оформлении Заказа с формой оплаты "наличными или картой курьеру", если ранее оформленные Заказы Пользователя не были доставлены по его вине (например, если Пользователь не открыл дверь или не ответил по телефону курьеру при доставке Заказа, или Пользователь указал несуществующий адрес доставки и т.п.).</p>
                <p>2.6 Во избежание случаев мошенничества при оплате банковскими картами платежи, оплаченные банковской картой, могут проверяться Сервисом в рамках имеющихся возможностей. Пользователь, оформивший такой платеж, обязан по запросу, поступившему от Сервиса, предоставить копию необходимых документов для подтверждения правомерного использования банковской карты.</p>
                <p>3. Обязательства по использованию сервиса</p>
                <p>3.1 Пользователь соглашается предоставить достоверную, полную и актуальную информацию по вопросам, предлагаемым в форме заказа и/или форме регистрации.</p>
                <p>3.2 Сервис оставляет за собой право отказать Пользователю в предоставлении услуг без уведомления Пользователя и/или без объяснения причин.</p>
                <p>3.3 По вопросам, связанным с исполнением Соглашения, необходимо обращаться по адресу местонахождения Сервиса: Москва, ул. Профсоюзная, д. 45 либо посредством формы обратной связи на сайте</p>
            </div>  
        </div>
        <div name="policy">
            <div id="policy">
                <h1>Политика конфиденциальности персональных данных</h1>
                <p>Настоящая Политика конфиденциальности персональных данных (далее – Политика конфиденциальности) действует в 
                отношении всей информации, которую сайт <strong>zavtrak.online</strong>, (далее – сайт) расположенный на 
                доменном имени <strong>zavtrak.online</strong> (а также его субдоменах), может получить о Пользователе во время использования 
                сайта zavtrak.online (а также его субдоменов), его программ и его продуктов.</p>
                
                <h2>1. Определение терминов</h2>
                
                <p><strong>1.1 В настоящей Политике конфиденциальности используются следующие термины:<strong></p>
                
                <p>1.1.1. «<strong>Администрация сайта</strong>» (далее – Администрация) – уполномоченные сотрудники 
                на управление сайтом <strong>zavtrak.online</strong>,
                которые организуют и (или) осуществляют обработку персональных данных, а также определяет цели обработки персональных 
                данных, состав персональных данных, подлежащих обработке, действия (операции), совершаемые с персональными данными.</p>
                
                <p>1.1.2. «Персональные данные» - любая информация, относящаяся к прямо или косвенно определенному, или определяемому 
                физическому лицу (субъекту персональных данных).</p>
        
                <p>1.1.3. «Обработка персональных данных» - любое действие (операция) или совокупность действий (операций), совершаемых 
                с использованием средств автоматизации или без использования таких средств с персональными данными, включая сбор, запись, 
                систематизацию, накопление, хранение, уточнение (обновление, изменение), извлечение, использование, передачу 
                (распространение, предоставление, доступ), обезличивание, блокирование, удаление, уничтожение персональных данных.</p>
        
                <p>1.1.4. «Конфиденциальность персональных данных» - обязательное для соблюдения Оператором или иным получившим доступ 
                к персональным данным лицом требование не допускать их распространения без согласия субъекта персональных данных или 
                наличия иного законного основания.</p>
        
                <p>1.1.5. «Сайт <strong> zavtrak.online</strong>» - это совокупность связанных между собой веб-страниц, размещенных в сети Интернет по уникальному 
                адресу (URL): <strong>zavtrak.online</strong>, а также его субдоменах.</p>
        
                <p>1.1.6. «Субдомены»  - это страницы или совокупность страниц, расположенные на доменах третьего уровня, 
                принадлежащие сайту zavtrak.online, а также другие временные страницы, внизу который указана контактная
                информация Администрации</p>
                
                <p>1.1.5. «Пользователь сайта <strong>zavtrak.online</strong> » (далее Пользователь) – лицо, имеющее доступ 
                к сайту <strong>zavtrak.online</strong>, посредством сети Интернет 
                и использующее информацию, материалы и продукты сайта <strong>zavtrak.online</strong>.</p>
                
                <p>1.1.7. «Cookies» — небольшой фрагмент данных, отправленный веб-сервером и хранимый на компьютере пользователя, 
                который веб-клиент или веб-браузер каждый раз пересылает веб-серверу в HTTP-запросе при попытке открыть страницу 
                соответствующего сайта.</p>
        
                <p>1.1.8. «IP-адрес» — уникальный сетевой адрес узла в компьютерной сети, через который Пользователь получает доступ на 
                сайт.</p>
                
                <h2>2. Общие положения</h2>
                <p>2.1. Использование сайта zavtrak.online Пользователем означает согласие с настоящей Политикой 
                конфиденциальности и условиями обработки персональных данных Пользователя.</p>
        
                <p>2.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование 
                сайта zavtrak.online .</p>
        
                <p>2.3. Настоящая Политика конфиденциальности применяется к сайту zavtrak.online.
                сайт не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь 
                может перейти по ссылкам, доступным на сайте zavtrak.online.</p>
        
                <p>2.4. Администрация не проверяет достоверность персональных данных, предоставляемых Пользователем.</p>
                
                <h2>3. Предмет политики конфиденциальности</h2>
                
                <p>3.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации по неразглашению и обеспечению 
                режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации при 
                регистрации на сайте zavtrak.online или при подписке на информационную e-mail рассылку.</p>
                
                <p>3.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются 
                Пользователем путём заполнения форм на сайте zavtrak.online и включают в себя следующую информацию:<br />
                3.2.1. фамилию, имя, отчество Пользователя;<br />
                3.2.2. контактный телефон Пользователя;<br />
                3.2.3. адрес электронной почты (e-mail)<br />
                3.2.4. место жительство Пользователя (при необходимости)<br />
                3.2.5. фотографию (при необходимости)</p>
        
                <p>3.3. сайт защищает Данные, которые автоматически передаются при посещении страниц:<br />
                - IP адрес;<br />
                - информация из cookies;<br />
                - информация о браузере <br />
                - время доступа;<br />
                - реферер (адрес предыдущей страницы).</p>
        
                <p>3.3.1. Отключение cookies может повлечь невозможность доступа к частям сайта <?php echo zavtrak.online ?>, требующим 
                авторизации.</p>
        
                <p>3.3.2. сайт осуществляет сбор статистики об IP-адресах своих посетителей. Данная информация 
                используется с целью предотвращения, выявления и решения технических проблем.</p>
                <p>3.4. Любая иная персональная информация неоговоренная выше (история посещения, используемые браузеры, операционные 
                системы и т.д.) подлежит надежному хранению и нераспространению, за исключением случаев, 
                предусмотренных в п.п. 5.2. настоящей Политики конфиденциальности.</p>
                
                <h2>4. Цели сбора персональной информации пользователя</h2>
                
                <p>4.1. Персональные данные Пользователя Администрация может использовать в целях:<br />
                4.1.1. Идентификации Пользователя, зарегистрированного на сайте zavtrak.online для его дальнейшей авторизации.<br />
        
                4.1.2. Предоставления Пользователю доступа к персонализированным данным сайта zavtrak.online.<br />
        
                4.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования 
                сайта zavtrak.online, обработки запросов и заявок от Пользователя.<br />
        
                4.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br />
        
                4.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br />
        
                4.1.6. Создания учетной записи для использования частей сайта zavtrak.online, если Пользователь дал согласие на 
                создание учетной записи.<br />
        
                4.1.7. Уведомления Пользователя по электронной почте.<br />
        
                4.1.8. Предоставления Пользователю эффективной технической поддержки при возникновении проблем, связанных с использованием 
                сайта zavtrak.online.<br />
        
                4.1.9. Предоставления Пользователю с его согласия специальных предложений, новостной рассылки и иных сведений от имени 
                сайта zavtrak.online.</p>
                
                <h2>5. Способы и сроки обработки персональной информации</h2>
                
                <p>5.1. Обработка персональных данных Пользователя осуществляется без ограничения срока, любым законным способом, в 
                том числе в информационных системах персональных данных с использованием средств автоматизации или без использования 
                таких средств.</p>
                <p>5.2. Персональные данные Пользователя могут быть переданы уполномоченным органам государственной власти Российской 
                Федерации только по основаниям и в порядке, установленным законодательством Российской Федерации.</p>
                <p>5.3. При утрате или разглашении персональных данных Администрация вправе не информировать Пользователя об утрате или 
                разглашении персональных данных.</p>
                <p>5.4. Администрация принимает необходимые организационные и технические меры для защиты персональной информации 
                Пользователя от неправомерного или случайного доступа, уничтожения, изменения, блокирования, копирования, распространения, 
                а также от иных неправомерных действий третьих лиц.</p>
                <p>5.5. Администрация совместно с Пользователем принимает все необходимые меры по предотвращению убытков или иных 
                отрицательных последствий, вызванных утратой или разглашением персональных данных Пользователя.</p>
                
                <h2>6. Права и обязанности сторон</h2>
                
                <p><strong>6.1. Пользователь вправе:</strong></p>
                <p>6.1.1. Принимать свободное решение о предоставлении своих персональных данных, необходимых для использования 
                сайта zavtrak.online, и давать согласие на их обработку.</p>
        
                <p>6.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.</p>
                
                <p>6.1.3. Пользователь имеет право на получение у Администрации информации, касающейся обработки его персональных данных, 
                если такое право не ограничено в соответствии с федеральными законами. Пользователь вправе требовать от Администрации
                уточнения его персональных данных, их блокирования или уничтожения в случае, если персональные данные являются неполными, 
                устаревшими, неточными, незаконно полученными или не являются необходимыми для заявленной цели обработки, а также 
                принимать предусмотренные законом меры по защите своих прав. Для этого достаточно уведомить Администрацию по указаному E-mail адресу.</p>
        
                <p><strong>6.2. Администрация обязана:</strong></p>
                <p>6.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 4 настоящей Политики 
                конфиденциальности.</p>
        
                <p>6.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного 
                разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными 
                способами переданных персональных данных Пользователя, за исключением п.п. 5.2. настоящей Политики Конфиденциальности.</p>
        
                <p>6.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, 
                обычно используемого для защиты такого рода информации в существующем деловом обороте.</p>
        
                <p>6.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента 
                обращения или запроса Пользователя, или его законного представителя либо уполномоченного органа по защите прав 
                субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или 
                неправомерных действий.</p>
                
                <h2>Ответственность сторон</h2>
                <p>7.1. Администрация, не исполнившая свои обязательства, несёт ответственность за убытки, 
                понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством 
                Российской Федерации, за исключением случаев, предусмотренных п.п. 5.2. и 7.2. настоящей Политики Конфиденциальности.</p>
        
                <p>7.2. В случае утраты или разглашения Конфиденциальной информации Администрация не несёт ответственность, 
                если данная конфиденциальная информация:<br />
                7.2.1. Стала публичным достоянием до её утраты или разглашения.<br />
                7.2.2. Была получена от третьей стороны до момента её получения Администрацией Ресурса.<br />
                7.2.3. Была разглашена с согласия Пользователя.</p>
        
                <p>7.3. Пользователь несет полную ответственность за соблюдение требований законодательства РФ, в том числе законов о 
                рекламе, о защите авторских и смежных прав, об охране товарных знаков и знаков обслуживания, но не ограничиваясь 
                перечисленным, включая полную ответственность за содержание и форму материалов.</p>
        
                <p>7.4. Пользователь признает, что ответственность за любую информацию (в том числе, но не ограничиваясь: файлы с данными, 
                тексты и т. д.), к которой он может иметь доступ как к части сайта zavtrak.online, несет лицо, предоставившее 
                такую информацию.</p>
                
                <p>7.5. Пользователь соглашается, что информация, предоставленная ему как часть сайта zavtrak.online, может 
                являться объектом интеллектуальной собственности, права на который защищены и принадлежат другим Пользователям, 
                партнерам или рекламодателям, которые размещают такую информацию на сайте zavtrak.online. <br />
                Пользователь не вправе вносить изменения, передавать в аренду, передавать на условиях займа, продавать, распространять 
                или создавать производные работы на основе такого Содержания (полностью или в части), за исключением случаев, когда такие 
                действия были письменно прямо разрешены собственниками такого Содержания в соответствии с условиями отдельного соглашения.</p>
        
                <p>7.6. В отношение текстовых материалов (статей, публикаций, находящихся в свободном публичном доступе на 
                сайте zavtrak.online) допускается их распространение при условии, что будет дана ссылка 
                на сайт.</p>
                
                <p>7.7. Администрация не несет ответственности перед Пользователем за любой убыток или ущерб, понесенный Пользователем 
                в результате удаления, сбоя или невозможности сохранения какого-либо Содержания и иных коммуникационных данных, 
                содержащихся на сайте zavtrak.online или передаваемых через него.</p>
        
                <p>7.8. Администрация не несет ответственности за любые прямые или косвенные убытки, произошедшие из-за: использования 
                либо невозможности использования сайта, либо отдельных сервисов; несанкционированного доступа к коммуникациям 
                Пользователя; заявления или поведение любого третьего лица на сайте.</p>
                
                <p>7.9. Администрация не несет ответственность за какую-либо информацию, размещенную пользователем на 
                сайте zavtrak.online, включая, но не ограничиваясь: информацию, защищенную авторским правом, без прямого 
                согласия владельца авторского права.</p>
                
                <h2>8. Разрешение споров</h2>
                
                <p>8.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем и Администрацией, обязательным 
                является предъявление претензии (письменного предложения или предложения в электронном виде о добровольном урегулировании 
                спора).</p>
        
                <p>8.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно или в электронном виде 
                уведомляет заявителя претензии о результатах рассмотрения претензии.</p>
        
                <p>8.3. При не достижении соглашения спор будет передан на рассмотрение Арбитражного суда г. Москва.</p>
        
                <p>8.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией 
                применяется действующее законодательство Российской Федерации.</p>
                
                <h2>9. Дополнительные условия</h2>
                <p>9.1. Администрация вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.</p>
        
                <p>9.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на сайте zavtrak.online, если 
                иное не предусмотрено новой редакцией Политики конфиденциальности.</p>
        
                <p>9.3. Все предложения или вопросы касательно настоящей Политики конфиденциальности следует сообщать по 
                адресу: moscowno1@mail.ru</p>
                
                <p>9.4. Действующая Политика конфиденциальности размещена на странице по адресу http://zavtrak.online/
            </div>  
        </div>
    </iron-pages>



    
  </template>

  <script>

    class FoodAbout extends Polymer.Element {

      static get is() { return 'food-about'; }

        static get properties() {
            return {
                phone: {
                    type: Boolean,
                    value: true
                },
                deliveryTime: String,
                page: {
                    type: String,
                    value: "welcome"
                },
                tabs : {
                    type: Array,
                    value: [
                        {name:"welcome", title: "Добро пожаловать", small:"О нас"},
                        {name:"contacts", title: "Контакты", small:"Контакты"},
                        {name:"messageus", title: "Напишите нам",small:"Напишите"},
                        {name:"agreement", title: "Пользовательское соглашение",small:"Соглашение"},
                        {name:"policy", title: "Политика конфиденциальности",small:"Конфиденциальность"},
                    ]
                }
            }
        }
        _itemTitle(item,phone)
        {
            return phone?item.small:item.title;
        }

        connectedCallback() {
            super.connectedCallback();
            
            Polymer.RenderStatus.afterNextRender(this,()=>{
                 ymaps.ready(()=>this.initMap());   
            })

        }
        _contactUs()
        {
            this.$.message.value = "";
            this.$.msgDlg.open();
        }
        _userAgreement()
        {
            this.$.agreementDlg.open();
        }

        _agreementOK()
        {

        }

        _sendMessage()
        {
            if( this.$.message.value )
                Meteor.call("sendMessage",this.$.message.value, this.$.contact.value )

            app._showSnackbar("Спасибо! Ваше сообщение отправлено.")
        }

        initMap()
        {
            this.map = new ymaps.Map(this.$.map, {
                    center: [ 37.554493, 55.670077 ],
                    zoom: 12,
                });
            this.map.behaviors.disable('scrollZoom');        
            // Задаём цвет и контент балунов полигонов.         
            Polymer.RenderStatus.afterNextRender(this,()=>{

                Meteor.call('deliveryGeo',(err,result)=>{
                if(!err){
                    var deliveryZones = ymaps.geoQuery(result).addToMap(this.map)
                    deliveryZones.each(function (obj) {
                        console.log("zone id:", obj.id);
                        var color = obj.options.get('fillColor');
                            color = color.substring(0, color.length - 2);
                        obj.options.set({fillColor: color, fillOpacity: 0.4});
                    }); 
                    
                // Находим полигон, в который входят переданные координаты.
                    // var polygon = deliveryZones.searchContaining().get(0);

                    function polygon (coords){
                        return deliveryZones.searchContaining(coords).get(0);  
                    }                                      
                    console.log(polygon([ 55.658778, 37.587434 ]))
                    console.log(polygon([ 37.554493, 55.670077 ]))
                    console.log(polygon([ 37.587434, 55.658778 ]))
                //     var coords = 
                //     // [ 37.554493, 55.670077 ],
                //     [ 55.658778, 37.587434 ];
                // // Находим полигон, в который входят переданные координаты.
                //     var polygon = deliveryZones.searchContaining(coords).get(0);

                    // debugger
                    if (polygon) {

                        }               
                }
                });     
            

        });        
    }
}

    customElements.define(FoodAbout.is, FoodAbout);

  </script>

</dom-module>
